﻿@page
@model Project_PRN221_1.Pages.Admin.CensorModel
@{
}
<h1>List Posts To Censor</h1>

@if (Model.Posts != null && Model.Posts.Any())
{
    <table class="table">
        <thead>
            <tr>
                <th>Title</th>
                <th>Author</th>
                <th>Post Date</th>
                <th>Link</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var post in Model.Posts)
            {
                <tr>
                    <td>@post.PostHeader</td>
                    <td>@post.User.Name</td>
                    <td>@post.PostDate</td>
                    <td>
                        <a href="/ArticleDetails?id=@post.PostId">View Detail</a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
}
else
{
    <p>No posts left to censor</p>
}